Package ch.admin.suis.client.core.service.to

# Class UserRequest

java.lang.Object
ch.admin.suis.client.core.service.to.UserRequest

public class UserRequest extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserRequest(PdfEntry rootNode, File chosenFile, String language)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getChosenFile()`
  Gets the `chosenFile` property.
  `String`
  `getLanguage()`
  Gets the `language` property.
  `PdfEntry`
  `getRootNode()`
  Gets the `rootNode` property.
  `String`
  `getUserName()`
  Gets the `userName` property.
  `String`
  `getUserOrg()`
  Gets the `userOrg` property.
  `void`
  `setUserName(String userName)`
  Sets the `userName` property.
  `void`
  `setUserOrg(String userOrg)`
  Sets the `userOrg` property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserRequest

    public UserRequest(PdfEntry rootNode, File chosenFile, String language)

- ## Method Details

  - ### getChosenFile

    public File getChosenFile()
    Gets the `chosenFile` property.
    Returns:
      the value of the `chosenFile` property

  - ### getLanguage

    public String getLanguage()
    Gets the `language` property.
    Returns:
      the value of the `language` property

  - ### getRootNode

    public PdfEntry getRootNode()
    Gets the `rootNode` property.
    Returns:
      the value of the `rootNode` property

  - ### getUserName

    public String getUserName()
    Gets the `userName` property.
    Returns:
      the value of the `userName` property

  - ### getUserOrg

    public String getUserOrg()
    Gets the `userOrg` property.
    Returns:
      the value of the `userName` property

  - ### setUserName

    public void setUserName(String userName)
    Sets the `userName` property.
    Parameters:
      `userName` - the value to set for the `userName` property.

  - ### setUserOrg

    public void setUserOrg(String userOrg)
    Sets the `userOrg` property.
    Parameters:
      `userOrg` - the value to set for the `userOrg` property.